tbb::internal::atomic_impl< T >::ptr_converter< value_t * > Union Template Reference
Collaboration diagram for tbb::internal::atomic_impl< T >::ptr_converter< value_t * >:

## Public Member Functions

| ptr_converter ()
| ptr_converter (value_t *a_value)

## Public Attributes

value_t * | value
uintptr_t | bits

## Detailed Description

### template<typename T>
template<typename value_t>
union tbb::internal::atomic_impl< T >::ptr_converter< value_t * >

Definition at line 260 of file atomic.h.

## Constructor & Destructor Documentation

## ptr_converter() [1/2]

template<typename T >
template<typename value_t >

tbb::internal::atomic_impl< T >::ptr_converter< value_t * >::ptr_converter | ( |  | ) |

inline

Definition at line 261 of file atomic.h.

{}

## ptr_converter() [2/2]

template<typename T >
template<typename value_t >

tbb::internal::atomic_impl< T >::ptr_converter< value_t * >::ptr_converter | ( | value_t * | a_value | ) |

inline

Definition at line 262 of file atomic.h.

: value(a_value) {}
tbb::internal::atomic_impl::ptr_converter< value_t * >::value
value_t * value
Definition: atomic.h:263

## Member Data Documentation

## bits

template<typename T >
template<typename value_t >

uintptr_t tbb::internal::atomic_impl< T >::ptr_converter< value_t * >::bits

Definition at line 264 of file atomic.h.

Referenced by tbb::internal::atomic_impl< T >::to_bits_ref().

## value

template<typename T >
template<typename value_t >

value_t* tbb::internal::atomic_impl< T >::ptr_converter< value_t * >::value

Definition at line 263 of file atomic.h.

The documentation for this union was generated from the following file:

- atomic.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.